Description

Translating help files in GUI is always the most painful part, and I am convinced it

is not the most useful one, as the content is often obsolete and not aligned with the

manual.

My suggestion is to:

    -  remove the help

    -  replace it with the relevant manpage, either including it or adding a link to the

manual

    -  ship the manual together with the package (problem: shipping all the languages will

be very heavy).

Related issues:

Duplicated by QGIS Application - Bug report # 8564: context_help strings huge Closed 2013-09-03

History

#1 - 2014-06-23 08:57 AM - Paolo Cavallini

Duplicated in #8564

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-01-27 08:24 AM - Alexander Bruy

- Status changed from Open to Feedback

- Description updated

IMHO now addressed in master: Help buttons open corresponding web-pages.

#4 - 2018-01-27 12:05 PM - Paolo Cavallini

Huge improvement, thanks.

One crucial point is not fully addressed, however: when offline the user has to add the path to the manual by hand; probably it would be good to prefill the

path and install the manual as an installation option.

#5 - 2018-01-27 01:50 PM - Richard Duivenvoorde

The offline help mode is some more work:
- we need to have a download service (per language a zip of around 170Mb) and build/upload these every day fresh on something like: 

https://docs.qgis.org/download/3.0/en etc?

- we could create a button near the input of the settings dialog where you can add url's?

- we need to think about where to save/unpack this zip, as installs can be very diverse. A normal user for example cannot save such zip in the install dir. OR

we could/should make it part of the install scripts? Packaging for Linux?

Some other issue is that a fresh profile does not link to the right url (the setting is not picked up if you do not save your settings at least once): #17670

#6 - 2018-01-27 02:04 PM - Paolo Cavallini

Well understood, thanks Richard for the analysis.

I suggest to leave this ticket open for future reference.

#7 - 2018-03-06 06:56 PM - Paolo Cavallini

- Assignee set to Richard Duivenvoorde

It seems to me that this is fixed. Please Richard decide whether to close it.
